Subject: bug#38620: closed (Re: bug#38620: parted: invalid pointer)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Dec 2019 19:18:02 +0000

Your bug report

#38620: parted: invalid pointer

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38620: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38620
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38620: parted: invalid pointer
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 16 Dec 2019 11:17:03 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Dec 14, 2019 at 11:55:13PM -0800, [email-masked] wrote:
> I'm running Arch and get a "free(): invalid pointer":
> 
>     $ parted -v
>     parted (GNU parted) 3.3
>     Copyright (C) 2019 Free Software Foundation, Inc.
>     License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
>     This is free software: you are free to change and redistribute it.
>     There is NO WARRANTY, to the extent permitted by law.
> 
>     Written by <http://git.debian.org/?p=parted/parted.git;a=blob_plain;f=AUTHORS>.
> 
> I just hit "enter" when it prompts me for the end of the partition:
> 
>     $ sudo parted /dev/sdc
>     GNU Parted 3.3
>     Using /dev/sdc
>     Welcome to GNU Parted! Type 'help' to view a list of commands.
>     (parted) p
>     Model: RICOH R5U880FlashMedia (scsi)
>     Disk /dev/sdc: 63.9GB
>     Sector size (logical/physical): 512B/512B
>     Partition Table: msdos
>     Disk Flags:
> 
>     Number  Start   End     Size    Type     File system  Flags
>      1      4194kB  273MB   268MB   primary  fat32        lba
>      2      273MB   15.9GB  15.7GB  primary  ext4
> 
>     (parted) resizepart 2
>     End?  [15.9GB]?
>     free(): invalid pointer
>     zsh: abort      sudo parted /dev/sdc

Thanks, that should be fixed by https://github.com/bcl/parted/commit/883813c365482d06d05a1998e066792c48156f23

which I'll push today.

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: parted: invalid pointer
From: [email-masked]
To: [email-masked]
Date: Sat, 14 Dec 2019 23:55:13 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm running Arch and get a "free(): invalid pointer":

     $ parted -v
     parted (GNU parted) 3.3
     Copyright (C) 2019 Free Software Foundation, Inc.
     License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
     This is free software: you are free to change and redistribute it.
     There is NO WARRANTY, to the extent permitted by law.

     Written by <http://git.debian.org/?p=parted/parted.git;a=blob_plain;f=AUTHORS>.

I just hit "enter" when it prompts me for the end of the partition:

     $ sudo parted /dev/sdc
     GNU Parted 3.3
     Using /dev/sdc
     Welcome to GNU Parted! Type 'help' to view a list of commands.
     (parted) p
     Model: RICOH R5U880FlashMedia (scsi)
     Disk /dev/sdc: 63.9GB
     Sector size (logical/physical): 512B/512B
     Partition Table: msdos
     Disk Flags:

     Number  Start   End     Size    Type     File system  Flags
      1      4194kB  273MB   268MB   primary  fat32        lba
      2      273MB   15.9GB  15.7GB  primary  ext4

     (parted) resizepart 2
     End?  [15.9GB]?
     free(): invalid pointer
     zsh: abort      sudo parted /dev/sdc

Thanks.